Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1577258 (CVE-2018-10773) - CVE-2018-10773 bibutils: NULL pointer deference in addsn function in serialno.c in libbibcore.a
Summary: CVE-2018-10773 bibutils: NULL pointer deference in addsn function in serialno...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2018-10773
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1577259 1577260 1577261 1577262 1577263 1577264 1577270 1577271
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-11 14:56 UTC by Laura Pardo
Modified: 2019-09-29 14:39 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:22:41 UTC
Embargoed:


Attachments (Terms of Use)

Description Laura Pardo 2018-05-11 14:56:46 UTC
A flaw was found in the addsn function in serialno.c in libbibcore.a in bibutils through 6.2. A NULL pointer deference in the addsn function in serialno.c in libbibcore.a in bibutils through 6.2 allows remote attackers to cause a denial of service (application crash), as demonstrated by copac2xml.


References:
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=898135

Comment 1 Laura Pardo 2018-05-11 14:57:20 UTC
Created bibutils tracking bugs for this issue:

Affects: epel-all [bug 1577261]
Affects: fedora-all [bug 1577259]


Created ghc-hs-bibutils tracking bugs for this issue:

Affects: epel-all [bug 1577262]
Affects: fedora-all [bug 1577260]

Comment 4 Fedora Update System 2018-08-31 21:16:16 UTC
ghc-hakyll-4.10.0.0-3.fc28, ghc-hs-bibutils-6.6.0.0-1.fc28, pandoc-citeproc-0.12.2.5-4.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.